LibreOffice: PackageRegistryBackend Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
PackageRegistryBackend Service Reference

The PackageRegistryBackend service is used to bind a specific type of XPackage which can be registered or revoked. More...

`import"PackageRegistryBackend.idl";`

Inheritance diagram for PackageRegistryBackend:

## Public Member Functions
| createTransient ([in] string context)
| Creates a transient registry. More...
| createPersistent ([in] string context, [in] string cacheDirectory, [in] boolean readOnly)
| Creates a persistent registry. More...
Public Member Functions inherited from XPackageRegistry
XPackage | bindPackage ([in] string url, [in] string mediaType, [in] boolean removed, [in] string identifier, [in] com::sun::star::ucb::XCommandEnvironment xCmdEnv) raises (DeploymentException, InvalidRemovedParameterException, com::sun::star::ucb::CommandFailedException, com::sun::star::lang::IllegalArgumentException)
| binds a package URL to a XPackage handle. More...
sequence< XPackageTypeInfo > | getSupportedPackageTypes ()
| gets the supported XPackageTypeInfos. More...
void | packageRemoved ([in] string url, [in] string mediaType) raises (DeploymentException, com::sun::star::lang::IllegalArgumentException)

## Detailed Description

The PackageRegistryBackend service is used to bind a specific type of XPackage which can be registered or revoked.

All PackageRegistryBackend objects are related to a XPackageManager instance.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createPersistent()

createPersistent | ( | [in] string | context,
|  | [in] string | cacheDirectory,
|  | [in] boolean | readOnly
| ) |  |

Creates a persistent registry.

Parameters

  context | context of registry, e.g. user, shared
  cacheDirectory | cache directory that the registry has to use
  readOnly | reflects whether writing to cache directory is allowed

## ◆ createTransient()

createTransient | ( | [in] string | context | ) |

Creates a transient registry.

Parameters

  context | context of registry, e.g. user, shared

The documentation for this service was generated from the following file:

- com/sun/star/deployment/PackageRegistryBackend.idl